package cn.bunny.pattern3.subject;

import cn.bunny.pattern3.observer.Observer;

/**
 * 被观察者接口
 */
public interface Subject {
    void registerObserver(Observer observer);

    void removeObserver(Observer observer);

    void notifyObservers();
}